Bug 125359 - Cannot display multiple infobars
Summary: Cannot display multiple infobars
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords:
Depends on:
Blocks: Infobar-UX
  Show dependency treegraph
 
Reported: 2019-05-18 15:04 UTC by Xisco Faulí
Modified: 2019-11-23 07:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot (13.79 KB, image/png)
2019-05-18 15:04 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-05-18 15:04:35 UTC
Created attachment 151503 [details]
Screenshot

Steps to reproduce:
1. Clean the profile
2. Open a read-only file -> Info was is displayed

See attached image to check the results

Reproduced in

Version: 6.3.0.0.alpha1+
Build ID: 4c2034b808fed4f9dfd715d8a4813e788a7e97a4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Heiko Tietze 2019-05-22 15:53:31 UTC
We run into the same trouble when you open a readonly document with a signature (or any other doubled information). Ideally, the Infobar considers what is shown and stacks.
Comment 2 Heiko Tietze 2019-06-04 07:25:54 UTC
Any idea here, Stephan?
Comment 3 Stephan Bergmann 2019-06-04 07:41:57 UTC
(In reply to Heiko Tietze from comment #2)
> Any idea here, Stephan?

no
Comment 4 Commit Notification 2019-11-19 08:52:53 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1562e094fc6a57cd9738109d5202497bcc043d80

tdf#125359 Don't overlap multiple infobars

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-11-20 14:34:23 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: d468958331f36310d11265ba55d7c27366ab58ab
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Samuel Mehrbrodt, thanks for fixing this issue!!
Comment 6 Commit Notification 2019-11-23 07:53:04 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/e275ef9db490a4dcb7d8bfbe8f3a06c7ff2ee1b1

tdf#125359 Don't overlap multiple infobars

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.